QGIS Application - Feature request #2731
Show residual in georeferencer in map units (if possible)
2010-05-18 06:37 AM - Marco Hugentobler

Status: In Progress

Priority: Low

Assignee: mmassing -

Category: C++ plugins/Georeferencer

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 12791
Description

The following patch shows the residuals in the gcp table in map units where possible and in pixels else. Because interpretation about the
gcp errors is easier with map units, so the patch converts pixels->map units for linear transformation and helmert. For the other
transformations, conversion to map units is not so straightforward, therefore they are kept in pixels.

History

#1 - 2010-05-19 02:22 AM - Marco Hugentobler

Added improved version of the patch. The transform parameters are now shown in the status bar, fixed update of georef transformation when
enabling/disabling gcps in the table, fixed pdf report layout

#2 - 2010-05-23 05:52 AM - mmassing -
- Status changed from Open to In Progress

Applied in commit:4d46f190 (SVN r13553) - thanks, Marco.

I'll leave the ticket open for now, because I'd eventually like to add this functionality for
the higher order transform types (linearization via jacobi matrix or numerical approximation of

the derivatives), and also a config option to choose the desired units.

I think the latter is useful because reporting residuals in pixel units shows if residuals

are in the ballpark of input discretization, whereas map units are useful to better get an estimate of absolute error.

#3 - 2011-12-16 01:56 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-15 10:12 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-10-06 02:34 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2014-06-29 06:59 AM - Jiirgen Fischer
- Category changed from C++ Plugins to C++ plugins/Georeferencer

#7 - 2017-05-01 12:42 AM - Giovanni Manghi

- Easy fix? set to No
- Pull Request or Patch supplied set to No
Files

100518_georef.diff 6.1 KB 2010-05-18 Marco Hugentobler
100519_georefpatch.diff 15.6 KB 2010-05-19 Marco Hugentobler
